package com.ruoyi.ngtools.service;

import java.util.List;
import com.ruoyi.ngtools.domain.NgMeterpar;

/**
 * 流量计参数Service接口
 * 
 * @author ruoyi
 * @date 2025-02-09
 */
public interface INgMeterparService 
{
    /**
     * 查询流量计参数
     * 
     * @param id 流量计参数主键
     * @return 流量计参数
     */
    public NgMeterpar selectNgMeterparById(String id);

    /**
     * 查询流量计参数列表
     * 
     * @param ngMeterpar 流量计参数
     * @return 流量计参数集合
     */
    public List<NgMeterpar> selectNgMeterparList(NgMeterpar ngMeterpar);

    /**
     * 新增流量计参数
     * 
     * @param ngMeterpar 流量计参数
     * @return 结果
     */
    public int insertNgMeterpar(NgMeterpar ngMeterpar);

    /**
     * 修改流量计参数
     * 
     * @param ngMeterpar 流量计参数
     * @return 结果
     */
    public int updateNgMeterpar(NgMeterpar ngMeterpar);

    /**
     * 批量删除流量计参数
     * 
     * @param ids 需要删除的流量计参数主键集合
     * @return 结果
     */
    public int deleteNgMeterparByIds(String[] ids);

    /**
     * 删除流量计参数信息
     * 
     * @param id 流量计参数主键
     * @return 结果
     */
    public int deleteNgMeterparById(String id);
}
