package com.ruoyi.ngtools.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ngtools.mapper.NgMeterresultMapper;
import com.ruoyi.ngtools.domain.NgMeterresult;
import com.ruoyi.ngtools.service.INgMeterresultService;

/**
 * 流量计算结果Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-02-09
 */
@Service
public class NgMeterresultServiceImpl implements INgMeterresultService 
{
    @Autowired
    private NgMeterresultMapper ngMeterresultMapper;

    /**
     * 查询流量计算结果
     * 
     * @param id 流量计算结果主键
     * @return 流量计算结果
     */
    @Override
    public NgMeterresult selectNgMeterresultById(String id)
    {
        return ngMeterresultMapper.selectNgMeterresultById(id);
    }

    /**
     * 查询流量计算结果列表
     * 
     * @param ngMeterresult 流量计算结果
     * @return 流量计算结果
     */
    @Override
    public List<NgMeterresult> selectNgMeterresultList(NgMeterresult ngMeterresult)
    {
        return ngMeterresultMapper.selectNgMeterresultList(ngMeterresult);
    }

    /**
     * 新增流量计算结果
     * 
     * @param ngMeterresult 流量计算结果
     * @return 结果
     */
    @Override
    public int insertNgMeterresult(NgMeterresult ngMeterresult)
    {
        ngMeterresult.setCreateTime(DateUtils.getNowDate());
        return ngMeterresultMapper.insertNgMeterresult(ngMeterresult);
    }

    /**
     * 修改流量计算结果
     * 
     * @param ngMeterresult 流量计算结果
     * @return 结果
     */
    @Override
    public int updateNgMeterresult(NgMeterresult ngMeterresult)
    {
        ngMeterresult.setUpdateTime(DateUtils.getNowDate());
        return ngMeterresultMapper.updateNgMeterresult(ngMeterresult);
    }

    /**
     * 批量删除流量计算结果
     * 
     * @param ids 需要删除的流量计算结果主键
     * @return 结果
     */
    @Override
    public int deleteNgMeterresultByIds(String[] ids)
    {
        return ngMeterresultMapper.deleteNgMeterresultByIds(ids);
    }

    /**
     * 删除流量计算结果信息
     * 
     * @param id 流量计算结果主键
     * @return 结果
     */
    @Override
    public int deleteNgMeterresultById(String id)
    {
        return ngMeterresultMapper.deleteNgMeterresultById(id);
    }
}
