package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 树形字典对象 sys_tree_dict
 * 
 * @author ruoyi
 * @date 2025-02-03
 */

@Data
@TableName("sys_tree_dict")
public class SysTreeDict extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 字典文本 */
    @Excel(name = "字典文本")
    private String dictText;

    /** 字典值 */
    @Excel(name = "字典值")
    private String dictValue;

    /** 父ID */
    @Excel(name = "父ID")
    private Long pid;

    /** 部门ID */
    @Excel(name = "部门ID")
    private Long deptId;

    /** 排序 */
    @Excel(name = "排序")
    private Integer dictSort;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDictText(String dictText) 
    {
        this.dictText = dictText;
    }

    public String getDictText() 
    {
        return dictText;
    }
    public void setDictValue(String dictValue) 
    {
        this.dictValue = dictValue;
    }

    public String getDictValue() 
    {
        return dictValue;
    }
    public void setPid(Long pid) 
    {
        this.pid = pid;
    }

    public Long getPid() 
    {
        return pid;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDictSort(Integer dictSort) 
    {
        this.dictSort = dictSort;
    }

    public Integer getDictSort() 
    {
        return dictSort;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @TableField(exist = false)
    private List<SysTreeDict> children = new ArrayList<>();

    // 显式补充 children 的 setter 方法
    public void setChildren(List<SysTreeDict> children) {
        this.children = children;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dictText", getDictText())
            .append("dictValue", getDictValue())
            .append("pid", getPid())
            .append("deptId", getDeptId())
            .append("dictSort", getDictSort())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
